Doomsday Engine - Feature #1755

Use FS2 for runtime files
2014-04-18 07:40 - skyjake

Status: Closed Start date: 2014-04-18

Priority: Normal % Done: 100%

Assignee: Deng Team

Category: Enhancement

Target version: 2.0 — Home Ul & Packages

Description

All runtime files (under /home) should be read and written using FS2.

Related issues:

Related to Feature #1647: Replace FS1 with FS2-based resource management Progressed  2013-10-31
Related to Feature #1732: Libcommon savegame system Closed 2007-03-20
Related to Feature #1788: Command line options should take native paths relat... Rejected 2014-04-26

History

#1 - 2014-04-18 07:42 - skyjake

The files that needs updating are:

e client.id (could be in Config)
e configs/* (renderer profiles already written with FS2)
e dd-buffered-song*.mid
* screenshots
L]
doomsday-out
e hexndata’”
* savegamel:

#2 - 2014-04-26 18:51 - skyjake

- Related to Feature #1788: Command line options should take native paths relative to cwd added

#3 - 2016-07-05 23:55 - skyjake
- Status changed from In Progress to Closed
- Target version set to 2.0 — Home Ul & Packages

- % Done changed from 40 to 100
